#!/usr/bin/env bash

########################################################################################################################
# This job probes for Slurm's statistics of the previous job 
########################################################################################################################

# we should be able to grab by the chunk number
PREVIOUS_CMOR_JOB=%%_%%_%%
LOGDIR=$ROOTDIR/LOG_%EXPID%

# TODO check if this makes sense
SLURM_JOBID=$(cat $LOGDIR/$PREVIOUS_CMOR_JOB.out | split "=" -f 2)

sacct -j $SLURM_JOBID -P -o "Submit,Start,End,Wallclock,JobID,JobName,ReqMem,ReqCPUS,TotalCPU,Elapsed,MaxRSS,State" > $LOGDIR/$PREVIOUS_CMOR_JOB.stats

